Bug 1471140 - Missing detailed configuration file
Missing detailed configuration file
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: squid (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Luboš Uhliarik
Maryna Nalbandian
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 09:47 EDT by Eduardo
Modified: 2017-11-07 10:27 EST (History)
2 users (show)

See Also:
Fixed In Version: squid-3.5.20-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo 2017-07-14 09:47:02 EDT
Description of problem:
The file '/etc/squid/squid.conf.documented' is missing in the default location.
This file is mentioned in the manpage of squid, therefore I must assume is available on the system.

Version-Release number of selected component (if applicable):

Version     : 3.5.20
Release     : 2.el7_3.3
Architecture: x86_64


How reproducible:
Install squid

Steps to Reproduce:
1. yum install squid
2. ls /etc/squid/squid.conf.documented
3.

Actual results:

The file can be found in /usr/share/doc/squid-3.5.20/squid.conf.documented

Expected results:
A symbolic link in /etc/squid pointing to the actual file.

Additional info:
Comment 2 Luboš Uhliarik 2017-07-18 07:08:06 EDT
You are right, this file is specified in man page, but it is missing at specified location.

From man page:
"This manual page only lists the command line arguments.  For details on how to configure Squid see the file /etc/squid/squid.conf.documented, the Squid wiki  FAQ and examples at http://wiki.squid-cache.org/ , or the configuration manual on the Squid home page http://www.squid-cache.org/Doc/config/"
Comment 4 Luboš Uhliarik 2017-10-02 10:02:21 EDT
Since, we consider this file as a documentation, I will leave it in %doc dir (/usr/share/doc/squid-%{version}), as it is in Fedora and previous RHEL versions, but I will change appropriate location in squid.8 manpage.

Note You need to log in before you can comment on or make changes to this bug.